Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047118
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Coretrivialhave not tried2021-06-14 12:362021-06-21 07:20
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047118: System maintenance message is not user friendly

DescriptionWhen the "system under maintenance" message is shown, it contains some
tags which should not appear as they make the message to be not user friendly
Steps To Reproduce1- Login and logout in new POS
2- Run ant smartbuild -Dlocal=no
3- Without restarting tomcat, try to login again and check that the displayed message contains
tags (see attached)
TagsNo tags attached.
Attached Filespng file icon messageBR.png [^] (55,577 bytes) 2021-06-14 12:36

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129612)
hgbot (developer)
2021-06-17 14:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/567 [^]
(0129670)
hgbot (developer)
2021-06-21 07:20

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 4575554ac8bb0d2a72e5b4d3852a5e4234f9531a
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2021-06-21T05:20:19+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/4575554ac8bb0d2a72e5b4d3852a5e4234f9531a [^]

fixes ISSUE-47118: process
tag in translatable labels

  The Translate component is able to process
tags included in a
label in order to correctly represent the line breaks. This is done in
order to support legacy labels that contains
tags.

  Note that newly created labels shoud not include that tag as line
breaks are correctly preserved by the Translate component.

  Updating also the LoadingForm component to support
on its
messages by using the Translate component.

---
M web-jspack/org.openbravo.core2/src/components/AuthProvider/LoginForm.jsx
M web-jspack/org.openbravo.core2/src/components/Translate/Translate.jsx
M web-jspack/org.openbravo.core2/src/components/Translate/__test__/Translate.test.jsx
M web-jspack/org.openbravo.core2/src/components/Translate/__test__/TranslateLabels.test.json
---
(0129671)
hgbot (developer)
2021-06-21 07:20

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 16c21453889d8302bd699e6a3d3a237a73dd48df
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2021-06-21T05:20:19+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/16c21453889d8302bd699e6a3d3a237a73dd48df [^]

related to ISSUE-47118: improve LoginForm message box style

  Improve the message box style in LoginForm component to display login
page correctly when the message is long. In that case, now an scroll bar
is displayed.

---
M web-jspack/org.openbravo.core2/src/components/AuthProvider/LoginForm.scss
---
(0129672)
hgbot (developer)
2021-06-21 07:20

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/567 [^]

- Issue History
Date Modified Username Field Change
2021-06-14 12:36 caristu New Issue
2021-06-14 12:36 caristu Assigned To => Retail
2021-06-14 12:36 caristu File Added: messageBR.png
2021-06-14 12:36 caristu Triggers an Emergency Pack => No
2021-06-14 13:34 guilleaer Status new => acknowledged
2021-06-16 10:09 caristu Assigned To Retail => caristu
2021-06-17 14:25 hgbot Note Added: 0129612
2021-06-21 07:20 hgbot Resolution open => fixed
2021-06-21 07:20 hgbot Status acknowledged => closed
2021-06-21 07:20 hgbot Note Added: 0129670
2021-06-21 07:20 hgbot Note Added: 0129671
2021-06-21 07:20 hgbot Note Added: 0129672


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker